import request from '@/sheep/request';

export default {
  // 任务列表 
  list: (params) =>
    request({
      url: 'order.task/getTaskList',
      method: 'GET',
      params,
      custom: {
        showLoading: false,
      },
    }),
  // 根据天数获取订单列表
  listByDay: (data) =>
    request({
      url: 'order.task/getTaskListByDay',
      method: 'GET',
      data,
    }),
  // 提交任务 
  submitTask: (data) =>
    request({
      url: 'order.task/submitTask',
      method: 'POST',
      data,
    }),
  // 我的任务列表 
  myTaskList: (data) =>
    request({
      url: 'order.task/myTaskList',
      method: 'GET',
      data,
    }),
  //获取任务信息 
  getTaskInfo: (data) =>
    request({
      url: 'order.task/getTaskInfo',
      method: 'GET',
      data,
    }),
};
